Get Template List with Tasks

GET /tm/api/v1/templates/task

Operation id: getTemplatesWithTasks

Description

Retrieve Template list with tasks associated using template Id or template title.

Parameters

Query parameters

NameTypeRequiredDescription
execLevelstringNoProject Execution Level
messageTypestringNoProject Type ID
projectTitlestringNoTemplate title
templateIdstringNoProject Template ID

Security

  • ApiKeyAuth (apiKey)
    • API key passed in the apikey request header.

Responses

200 — Success

Content type: application/json

400 — Error

Content type: application/json

Response models

200 — Success

Content type: application/json

Schema

PropertyTypeRequiredDescription
statusstringNo
messagestringNo
dataarrayNo
{
  "type": "object",
  "properties": {
    "status": {
      "type": "string",
      "example": "SUCCESS"
    },
    "message": {
      "type": "string",
      "example": "Query Successful"
    },
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "templateName": {
            "type": "string",
            "example": "test split attach 2205 Nk template"
          },
          "projectType": {
            "type": "string",
            "example": "NXL"
          },
          "templateId": {
            "type": "string",
            "example": "10283200"
          },
          "tasks": {
            "type": "array",
            "items": {
              "type": "object"
            }
          }
        }
      }
    }
  }
}

400 — Error

Content type: application/json

Schema

PropertyTypeRequiredDescription
statusstringNo
errorarrayNo
{
  "type": "object",
  "properties": {
    "status": {
      "type": "string",
      "example": "ERROR"
    },
    "error": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string"
          },
          "message": {
            "type": "string"
          }
        }
      }
    }
  }
}

Example:

{
  "status": "ERROR",
  "error": [
    {
      "code": "1019",
      "message": "No Data Found"
    }
  ]
}